OAuth AuthorizationApprove OAuth consent

Approve OAuth consent

Called by the Nomadfiling frontend after a user approves consent to issue a short-lived authorization code.

curl -X POST "https://api.example.com/mcp-server/approve" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN (JWT)" \
  -d '{
  "client_id": "mcp_client_example_1234567890abcdef",
  "redirect_uri": "https://client.example.app/callback",
  "scope": "mcp",
  "code_challenge": "E9Melhoa2OwvFrEMTJguCHaoeK1t8URWbuGJSstw-cM",
  "code_challenge_method": "S256"
}'
{
  "code": "mcp_code_example_1234567890abcdef"
}
POST
/approve
POST
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token (JWT)
Bearer Tokenstring
Required

User session JWT bearer token required for frontend consent approval.

User session JWT bearer token required for frontend consent approval.
Content-Typestring
Required

The media type of the request body

Options: application/json
client_idstring
Required

Registered OAuth client identifier.

redirect_uristring
Required

Redirect URI approved by the user.

Format: uri
scopestring

Approved scope. Defaults to mcp.

code_challengestring

PKCE code challenge value associated with the authorization request.

code_challenge_methodstring

PKCE code challenge method.

Options: S256, plain
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token (JWT). User session JWT bearer token required for frontend consent approval.

Body

application/json
client_idstring
Required

Registered OAuth client identifier.

Example:
mcp_client_example_1234567890abcdef
redirect_uristring
Required

Redirect URI approved by the user.

Example:
https://client.example.app/callback
scopestring

Approved scope. Defaults to mcp.

Example:
mcp
code_challengestring

PKCE code challenge value associated with the authorization request.

Example:
E9Melhoa2OwvFrEMTJguCHaoeK1t8URWbuGJSstw-cM
code_challenge_methodstring

PKCE code challenge method.

Allowed values:S256plain

Responses

codestring
Required

Short-lived authorization code with a 5-minute expiry.